Package org.opengis.cite.iso19142.transaction

# Class TransactionCapabilitiesTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.transaction.TransactionCapabilitiesTests

public class TransactionCapabilitiesTests extends BaseFixture
Tests the service response to a GetCapabilities request for "Transactional WFS" conformance.

See Also:
  - "ISO 19142:2010, cl. 8: GetCapabilities operation"

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `(package private) static final String`
  `SCHEMATRON_METADATA`
  `(package private) static final String`
  `TRX_WFS_PHASE`

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionCapabilitiesTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildGetCapabilitiesRequest()`
  Builds a DOM Document representing a GetCapabilities request for a complete service metadata document.
  `void`
  `capabilitiesDescribesTransactionalWFS()`
  [`Test`] Verifies that the content of the complete service metadata document (wfs:WFS_Capabilities) satisfies the requirements for "Transactional WFS" conformance.
  `void`
  `checkSuitePreconditions(org.testng.ITestContext context)`
  `void`
  `implementsTransactionalWFS(org.testng.ITestContext testContext)`
  Run the tests for the "Transactional WFS" conformance class only if the service constraint "ImplementsTransactionalWFS" has the value 'TRUE'.

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TRX_WFS_PHASE

    static final String TRX_WFS_PHASE
    See Also:
      - Constant Field Values

  - ### SCHEMATRON_METADATA

    static final String SCHEMATRON_METADATA
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TransactionCapabilitiesTests

    public TransactionCapabilitiesTests()

- ## Method Details

  - ### checkSuitePreconditions

    @BeforeTest public void checkSuitePreconditions(org.testng.ITestContext context)

  - ### implementsTransactionalWFS

    @BeforeTest public void implementsTransactionalWFS(org.testng.ITestContext testContext)
    Run the tests for the "Transactional WFS" conformance class only if the service constraint "ImplementsTransactionalWFS" has the value 'TRUE'. Otherwise they will be skipped.
    Parameters:
      `testContext` - The test (set) context.

  - ### buildGetCapabilitiesRequest

    @BeforeClass public void buildGetCapabilitiesRequest()
    Builds a DOM Document representing a GetCapabilities request for a complete service metadata document.

  - ### capabilitiesDescribesTransactionalWFS

    public void capabilitiesDescribesTransactionalWFS()
    [`Test`] Verifies that the content of the complete service metadata document (wfs:WFS_Capabilities) satisfies the requirements for "Transactional WFS" conformance. Additional service endpoints and properties (constraints) must be implemented. The applicable rules are incorporated into the "TransactionalWFSPhase" phase of the Schematron schema `wfs-capabilities-2.0.sch`.

    Sources

    - ISO 19142:2010, Table 1: Conformance classes
    - ISO 19142:2010, Table 13: Service constraints
    - ISO 19142:2010, cl. A.1.3: Transactional WFS